# ══════════════════════════════════════════════════════════════════
# Twig — twig.yaml
# ══════════════════════════════════════════════════════════════════
# Moteur de templates Twig utilisé pour le rendu HTML et les PDFs.
# Les templates sont dans le répertoire templates/.
# Extensions personnalisées : src/Twig/AppExtension.php
#   - Filtre |mois_nom : convertit un entier (1-12) en nom de mois français
#
# strict_variables activé en test uniquement :
#   Toute variable Twig indéfinie lève une exception → détecte les typos.
# ══════════════════════════════════════════════════════════════════
twig:
    file_name_pattern: '*.twig'   # Ne charge que les fichiers .twig comme templates
    globals:
        vapid_public_key: '%app.vapid_public_key%'

when@test:
    twig:
        strict_variables: true    # Erreur sur toute variable non définie (détection de bugs)
